## rock-master-20.06-control-orogen-trajectory-follower 0.20200610

=== CMakeLists.txt ===
PROJECT(trajectory_follower)
cmake_minimum_required(VERSION 2.6)
add_definitions(-DENABLE_DEBUG_DRAWINGS)
SET( CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -std=c++0x" )
SET (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/.orogen/config")
INCLUDE(trajectory_followerBase)

# FIND_PACKAGE(KDL)
# FIND_PACKAGE(OCL)

=== tasks/CMakeLists.txt ===
include(trajectory_followerTaskLib)
add_definitions(-DENABLE_DEBUG_DRAWINGS)

ADD_LIBRARY(${TRAJECTORY_FOLLOWER_TASKLIB_NAME} SHARED 
    ${TRAJECTORY_FOLLOWER_TASKLIB_SOURCES})

add_dependencies(${TRAJECTORY_FOLLOWER_TASKLIB_NAME}
    regen-typekit)


TARGET_LINK_LIBRARIES(${TRAJECTORY_FOLLOWER_TASKLIB_NAME}
    ${OrocosRTT_LIBRARIES}
    ${TRAJECTORY_FOLLOWER_TASKLIB_DEPENDENT_LIBRARIES}
    ${TRAJECTORY_FOLLOWER_LIBRARIES})
    
SET_TARGET_PROPERTIES(${TRAJECTORY_FOLLOWER_TASKLIB_NAME}
    PROPERTIES LINK_INTERFACE_LIBRARIES "${TRAJECTORY_FOLLOWER_TASKLIB_INTERFACE_LIBRARIES}")

INSTALL(TARGETS ${TRAJECTORY_FOLLOWER_TASKLIB_NAME}
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib/orocos)

INSTALL(FILES ${TRAJECTORY_FOLLOWER_TASKLIB_HEADERS}
    DESTINATION include/orocos/trajectory_follower)

=== debian/changelog ===
rock-master-20.06-control-orogen-trajectory-follower (0.20200610-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-control/control-orogen-trajectory_follower.git
  * branch: refs/heads/master
  * commit: 7ab46b9431ab26c69ef25a05700820af909e907e
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Wed, 16 Sep 2020 09:50:36 +0200

=== debian/control ===
Source: rock-master-20.06-control-orogen-trajectory-follower
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.06-base-orogen-std, rock-master-20.06-base-orogen-types, rock-master-20.06-control-trajectory-follower, rock-master-20.06-ruby-orogen, rock-master-20.06-tools-logger, rock-master-20.06-tools-orogen-cpp-proxies, rock-master-20.06-tools-orogen-metadata, rock-master-20.06-tools-orogen-model-exporter, rock-master-20.06-tools-service-discovery
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.06-control-orogen-trajectory-follower
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.06-base-orogen-std, rock-master-20.06-base-orogen-types, rock-master-20.06-control-trajectory-follower, rock-master-20.06-ruby-orogen, rock-master-20.06-tools-logger, rock-master-20.06-tools-orogen-cpp-proxies, rock-master-20.06-tools-orogen-metadata, rock-master-20.06-tools-orogen-model-exporter, rock-master-20.06-tools-service-discovery, ruby
Description: no documentation available for package 'control/orogen/trajectory_follower' in its manifest.xml file
 no documentation available for package 'control/orogen/trajectory_follower' in its manifest.xml file
